Name:           drumgizmo
Version:        0.9.8.1
Release:        1%{?dist}
Summary:        DrumGizmo makes realistic sounding drums out of your MIDI
Group:          Applications/Multimedia

License:        GPLv3+
URL:            http://www.drumgizmo.org/
Source0:        http://www.drumgizmo.org/releases/drumgizmo-%{version}/drumgizmo-%{version}.tar.gz

BuildRequires:  automake autoconf libtool pkgconfig
BuildRequires:  zita-resampler-devel
BuildRequires:  expat-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(x11)

%description
DrumGizmo is an open source cross-platform drum plugin and stand-alone
application. It is comparable to several commercial drum plugin products.

DrumGizmo uses an open drum-kit file format, allowing the community to create
their own drum-kits. It has multichannel output, making it possible to mix it
just the way you would a real drum-kit. The optional built-in humanizer analyzes
the midi notes, adjusting velocities on-the-fly. This client can be a
stand-alone midi renderer, generating .wav files, 1 for each channel. Or use
DrumGizmo as a software sampler for an electronic drum-kit. There are also
plugin versions available.

For more information please visit http://www.drumgizmo.org

%package -n lv2-drumgizmo
Summary: DrumGizmo LV2 Plugin
Group: Applications/Multimedia

%description -n lv2-drumgizmo
DrumGizmo plugin for the LV2 plugin standard.

%prep
%setup -q -n drumgizmo-%{version}

%build
# Disable input midifile because libsmf is not packaged yet
%configure --enable-lv2 --disable-input-midifile
%{__make} %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_mandir}/man1/drumgizmo.1*
%{_bindir}/drumgizmo
%dir %{_libdir}/drumgizmo/
%dir %{_libdir}/drumgizmo/input/
%dir %{_libdir}/drumgizmo/output/
%{_libdir}/drumgizmo/input/dummy.so
%{_libdir}/drumgizmo/input/jackmidi.so
%{_libdir}/drumgizmo/input/test.so
%{_libdir}/drumgizmo/output/alsa.so
%{_libdir}/drumgizmo/output/dummy.so
%{_libdir}/drumgizmo/output/jackaudio.so
%{_libdir}/drumgizmo/output/wavfile.so

%files -n lv2-drumgizmo
%license COPYING
%doc AUTHORS ChangeLog README
%dir %{_libdir}/lv2/drumgizmo.lv2/
%{_libdir}/lv2/drumgizmo.lv2/drumgizmo.so
%{_libdir}/lv2/drumgizmo.lv2/drumgizmo.ttl
%{_libdir}/lv2/drumgizmo.lv2/manifest.ttl
%exclude %{_libdir}/lv2/drumgizmo.lv2/drumgizmo.a
%exclude %{_libdir}/lv2/drumgizmo.lv2/drumgizmo.la


%changelog
* Mon Apr 13 2015 Nils Tonnätt <nils.tonnaett@gmx.net> 0.9.8.1-1
- fixed License

* Wed Apr 08 2015 Nils Tonnätt <nils.tonnaett@gmx.net> 0.9.8.1-1
- initial build
